  
  # Load the normal support files.
require('sketchup.rb')
require('extensions.rb')

  # Create the extension.
  ext = SketchupExtension.new('K2WS_Component to Layer & Scene',
      'k2ws_Comp2LayerScene/Comp2LayerScene.rb')

   
  # Attach some nice info.
  ext.creator     = 'Keith Krueger'
  ext.version     = '2.0.0' 
  ext.description = 'Creates Layers & Drawing Scenes for Components, Nested Components, and Sub Assemblies. Drawing Scenes are Front, Top, Bottom, Left & Right Views to make dimensioned drawings easy'
  ext.copyright   = 'Permission to use without fee is granted.'

  # Register and load the extension on startup.
  Sketchup.register_extension(ext, true)


